<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/css/bootstrap.min.css"
        integrity="sha384-r4NyP46KrjDleawBgD5tp8Y7UzmLA05oM1iAEQ17CSuDqnUK2+k9luXQOfXJCJ4I" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:300,3001,700">
    <link rel="stylesheet" href="./css/style.css">
    <title>G_sporrt</title>
</head>

<body>
  
    <content>
        <main  class="main">
            <div class="login-form">
                <h2 class="heading-secondary ma-bt-lg">Log into your account</h2>
                <form class="form">
                    <div class="form__group">
                        <label class="form__label" for="enrollment">Enrollment</label>
                        <input class="form__input" id="enrollment" type="number" placeholder="12210063"
                        required="required"/>
                    </div>
                    <div class="form__group ma-bt-md">
                        <label class="from__label" for="password">Password</label>
                        <input class="form__input" id="password" type="password" placeholder=".........."
                        required="required" minlength="8"/>
                    </div>
                    <div class="form__group">
                        <button class="btn btn--green">Login</button>
                    </div>
                </form>
            </div>
        </main>
    </content>
    <script type="module" src="./js/login.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"></script>
    <script>
        var form = document.querySelector('.form');
        var enrollmentInput = document.getElementById('enrollment');

        var enrollmentRegex = /^12\d{6}$/;

        form.addEventListener('submit', function(event) {
          // Prevent the form from submitting
          event.preventDefault();
      
          // Perform validation
          var isValid = true;
          var errorMessage = '';
      
          if (!nameRegex.test(usernameInput.value.trim())) {
            isValid = false;
            errorMessage += 'Name should only contain alphabetic characters.\n';
          }
      
          if (!enrollmentRegex.test(enrollmentInput.value.trim())) {
            isValid = false;
            errorMessage += 'Enrollment number should start with "12" and have a length of 8 characters.\n';
          }
          if (!isValid) {
            alert(errorMessage);
          } else {
            // If all fields are valid, submit the form
            form.submit();
          }
        });
      
    </script>
</body>
</html>